import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class IncreaseDecreaseButton extends StatelessWidget {
  final VoidCallback callback;
  final IconData iconData;

  IncreaseDecreaseButton({required this.callback, required this.iconData});

  @override
  Widget build(BuildContext context) {
    return Flexible(
      child: Material(
        color: Colors.transparent,
        child: IconButton(
          padding: EdgeInsets.zero,
          splashColor: Theme.of(context).splashColor,
          onPressed: this.callback,
          icon: Icon(
            this.iconData,
            size: 20.h,
          ),
        ),
      ),
    );
  }
}
